none
.Net 4.0 support for TPL Dataflow RRS feed

Answers

All replies

  • Hi, there is a version of dataflow that works against 4.0 that is available here. http://msdn.microsoft.com/en-us/devlabs/gg585582.aspx , functionally these should be the same as the NuGet bits, is there a reason that you cannot use this.

    Thanks

    -alok

    • Marked as answer by StoneFactory Friday, September 28, 2012 3:57 PM
    Tuesday, September 25, 2012 4:52 PM
  • I was thinking it was an old version.

    • Is it a supported version?
    • Can I distribute a program using it?
    • Is there a document detailling differences between 4.0 and 4.5 versions (public API, breaking changes, ...)?

    Thanks.

    olivier

    Wednesday, September 26, 2012 9:42 AM
  • Hi Oliver,

        You should take a look at the EULA, since I don`t want to misrepresent my understanding of it here on you.  One of the points in the EULA around support is

    <dir>"8. SUPPORT SERVICES.

    Because this software is "as is," we may not provide support services for it."

    With regards to breaking changes, there should be no breaking changes between the 4.0 and 4.5 versions, please let us know in case you do encounter any.

    That said we are looking into doing a NuGet version of dataflow that supports 4.0, though at this point we are very early in the planning stages.

    Hope that helps

    -alok

    </dir>
    Thursday, September 27, 2012 4:25 PM
  • I can +1 a TPL Dataflow for the AsyncTargetingPack.

    NuGet now supports dependencies grouped by target framework, so it would be great if the AsyncTargetingPack version of TPL Dataflow was just included in the regular Microsoft.Tpl.Dataflow package.

    (I do have a real-world case where this would be useful).

           -Steve


    Programming blog: http://nitoprograms.blogspot.com/
      Including my TCP/IP .NET Sockets FAQ
      and How to Implement IDisposable and Finalizers: 3 Easy Rules
    Microsoft Certified Professional Developer

    How to get to Heaven according to the Bible

    Friday, September 28, 2012 12:58 PM
  • I've been using TPL Dataflow with .NET 4 on Windows XP for a while. I've just upgraded to Windows 8 and this no longer works - Windows 8 comes with .NET 4.0.3, and the only version of TPL Dataflow I can find requires .NET 4.0.0. For various reasons I can't go to .NET 4.5 right now, so I guess I'm stuck?

    Tom Davies, Software Engineer, Solid State Logic

    Thursday, October 4, 2012 6:21 PM
  • Could you add the xml file to the allowed files for redistribution?

           -Steve


    Home page: http://stephencleary.com/
    Programming blog: http://nitoprograms.blogspot.com/

    How to get to Heaven according to the Bible

    Wednesday, October 31, 2012 8:26 PM
  • TDF should be available for VS 2010 users. The CTP version in NuGet needs to be updated in to a non-CTP version for .Net 4.0. If not via NuGet, it can be included as an extension or service pack for VS 2010. Any chance this can happen?
    Tuesday, October 1, 2013 2:42 PM
  • Is redirecting to Nuget.

    Goto internet archive: http://web.archive.org/web/20120818225141/http://msdn.microsoft.com/en-us/devlabs/gg585582.aspx

    Saturday, December 10, 2016 4:46 AM